Ye.exportSymbol("proto.BidStruct", null, Ve),
            Ye.exportSymbol("proto.BidStruct.Type", null, Ve),
            Ye.exportSymbol("proto.ClientStruct", null, Ve),
            Ye.exportSymbol("proto.ClientStruct.Activity", null, Ve),
            Ye.exportSymbol("proto.ClientStruct.Permission", null, Ve),
            Ye.exportSymbol("proto.IncrementData", null, Ve),
            Ye.exportSymbol("proto.IncrementStep", null, Ve),
            Ye.exportSymbol("proto.IncrementStruct", null, Ve),
            Ye.exportSymbol("proto.IncrementStruct.Type", null, Ve),
            Ye.exportSymbol("proto.LiveBiddingMessage", null, Ve),
            Ye.exportSymbol("proto.LiveBiddingMessage.Type", null, Ve),
            Ye.exportSymbol("proto.LotStruct", null, Ve),
            Ye.exportSymbol("proto.LotStruct.State", null, Ve),
            Ye.exportSymbol("proto.VenteStruct", null, Ve),
            (proto.IncrementStep = function (Be) {
                _e.Message.initialize(this, Be, 0, -1, null, null);
            }),
            Ye.inherits(proto.IncrementStep, _e.Message),
            Ye.DEBUG && !COMPILED && (proto.IncrementStep.displayName = "proto.IncrementStep"),
            (proto.IncrementData = function (Be) {
                _e.Message.initialize(this, Be, 0, -1, proto.IncrementData.repeatedFields_, null);
            }),
            Ye.inherits(proto.IncrementData, _e.Message),
            Ye.DEBUG && !COMPILED && (proto.IncrementData.displayName = "proto.IncrementData"),
            (proto.IncrementStruct = function (Be) {
                _e.Message.initialize(this, Be, 0, -1, null, null);
            }),
            Ye.inherits(proto.IncrementStruct, _e.Message),
            Ye.DEBUG && !COMPILED && (proto.IncrementStruct.displayName = "proto.IncrementStruct"),
            (proto.BidStruct = function (Be) {
                _e.Message.initialize(this, Be, 0, -1, null, null);
            }),
            Ye.inherits(proto.BidStruct, _e.Message),
            Ye.DEBUG && !COMPILED && (proto.BidStruct.displayName = "proto.BidStruct"),
            (proto.LotStruct = function (Be) {
                _e.Message.initialize(this, Be, 0, -1, null, null);
            }),
            Ye.inherits(proto.LotStruct, _e.Message),
            Ye.DEBUG && !COMPILED && (proto.LotStruct.displayName = "proto.LotStruct"),
            (proto.VenteStruct = function (Be) {
                _e.Message.initialize(this, Be, 0, -1, proto.VenteStruct.repeatedFields_, null);
            }),
            Ye.inherits(proto.VenteStruct, _e.Message),
            Ye.DEBUG && !COMPILED && (proto.VenteStruct.displayName = "proto.VenteStruct"),
            (proto.ClientStruct = function (Be) {
                _e.Message.initialize(this, Be, 0, -1, null, null);
            }),
            Ye.inherits(proto.ClientStruct, _e.Message),
            Ye.DEBUG && !COMPILED && (proto.ClientStruct.displayName = "proto.ClientStruct"),
            (proto.LiveBiddingMessage = function (Be) {
                _e.Message.initialize(this, Be, 0, -1, null, null);
            }),
            Ye.inherits(proto.LiveBiddingMessage, _e.Message),
            Ye.DEBUG && !COMPILED && (proto.LiveBiddingMessage.displayName = "proto.LiveBiddingMessage"),
            _e.Message.GENERATE_TO_OBJECT &&
                ((proto.IncrementStep.prototype.toObject = function (Be) {
                    return proto.IncrementStep.toObject(Be, this);
                }),
                (proto.IncrementStep.toObject = function (Be, Re) {
                    var Ue = { startvalue: _e.Message.getFieldWithDefault(Re, 1, 0), incrementvalue: _e.Message.getFieldWithDefault(Re, 2, 0), specialstep: _e.Message.getBooleanFieldWithDefault(Re, 3, !1) };
                    return Be && (Ue.$jspbMessageInstance = Re), Ue;
                })),
            (proto.IncrementStep.deserializeBinary = function (Be) {
                var Re = new _e.BinaryReader(Be),
                    Ue = new proto.IncrementStep();
                return proto.IncrementStep.deserializeBinaryFromReader(Ue, Re);
            }),
            (proto.IncrementStep.deserializeBinaryFromReader = function (Be, Re) {
                for (; Re.nextField() && !Re.isEndGroup(); ) {
                    switch (Re.getFieldNumber()) {
                        case 1:
                            var Ue = Re.readUint32();
                            Be.setStartvalue(Ue);
                            break;
                        case 2:
                            Ue = Re.readUint32();
                            Be.setIncrementvalue(Ue);
                            break;
                        case 3:
                            Ue = Re.readBool();
                            Be.setSpecialstep(Ue);
                            break;
                        default:
                            Re.skipField();
                    }
                }
                return Be;
            }),
            (proto.IncrementStep.prototype.serializeBinary = function () {
                var Be = new _e.BinaryWriter();
                return proto.IncrementStep.serializeBinaryToWriter(this, Be), Be.getResultBuffer();
            }),
            (proto.IncrementStep.serializeBinaryToWriter = function (Be, Re) {
                var Ue = void 0;
                0 !== (Ue = Be.getStartvalue()) && Re.writeUint32(1, Ue), 0 !== (Ue = Be.getIncrementvalue()) && Re.writeUint32(2, Ue), (Ue = Be.getSpecialstep()) && Re.writeBool(3, Ue);
            }),
            (proto.IncrementStep.prototype.getStartvalue = function () {
                return _e.Message.getFieldWithDefault(this, 1, 0);
            }),
            (proto.IncrementStep.prototype.setStartvalue = function (Be) {
                return _e.Message.setProto3IntField(this, 1, Be);
            }),
            (proto.IncrementStep.prototype.getIncrementvalue = function () {
                return _e.Message.getFieldWithDefault(this, 2, 0);
            }),
            (proto.IncrementStep.prototype.setIncrementvalue = function (Be) {
                return _e.Message.setProto3IntField(this, 2, Be);
            }),
            (proto.IncrementStep.prototype.getSpecialstep = function () {
                return _e.Message.getBooleanFieldWithDefault(this, 3, !1);
            }),
            (proto.IncrementStep.prototype.setSpecialstep = function (Be) {
                return _e.Message.setProto3BooleanField(this, 3, Be);
            }),
            (proto.IncrementData.repeatedFields_ = [1]),
            _e.Message.GENERATE_TO_OBJECT &&
                ((proto.IncrementData.prototype.toObject = function (Be) {
                    return proto.IncrementData.toObject(Be, this);
                }),
                (proto.IncrementData.toObject = function (Be, Re) {
                    var Ue = { incrementarrayList: _e.Message.toObjectList(Re.getIncrementarrayList(), proto.IncrementStep.toObject, Be) };
                    return Be && (Ue.$jspbMessageInstance = Re), Ue;
                })),
            (proto.IncrementData.deserializeBinary = function (Be) {
                var Re = new _e.BinaryReader(Be),
                    Ue = new proto.IncrementData();
                return proto.IncrementData.deserializeBinaryFromReader(Ue, Re);
            }),
            (proto.IncrementData.deserializeBinaryFromReader = function (Be, Re) {
                for (; Re.nextField() && !Re.isEndGroup(); ) {
                    switch (Re.getFieldNumber()) {
                        case 1:
                            var Ue = new proto.IncrementStep();
                            Re.readMessage(Ue, proto.IncrementStep.deserializeBinaryFromReader), Be.addIncrementarray(Ue);
                            break;
                        default:
                            Re.skipField();
                    }
                }
                return Be;
            }),
            (proto.IncrementData.prototype.serializeBinary = function () {
                var Be = new _e.BinaryWriter();
                return proto.IncrementData.serializeBinaryToWriter(this, Be), Be.getResultBuffer();
            }),
            (proto.IncrementData.serializeBinaryToWriter = function (Be, Re) {
                var Ue;
                (Ue = Be.getIncrementarrayList()).length > 0 && Re.writeRepeatedMessage(1, Ue, proto.IncrementStep.serializeBinaryToWriter);
            }),
            (proto.IncrementData.prototype.getIncrementarrayList = function () {
                return _e.Message.getRepeatedWrapperField(this, proto.IncrementStep, 1);
            }),
            (proto.IncrementData.prototype.setIncrementarrayList = function (Be) {
                return _e.Message.setRepeatedWrapperField(this, 1, Be);
            }),
            (proto.IncrementData.prototype.addIncrementarray = function (Be, Re) {
                return _e.Message.addToRepeatedWrapperField(this, 1, Be, proto.IncrementStep, Re);
            }),
            (proto.IncrementData.prototype.clearIncrementarrayList = function () {
                return this.setIncrementarrayList([]);
            }),
            _e.Message.GENERATE_TO_OBJECT &&
                ((proto.IncrementStruct.prototype.toObject = function (Be) {
                    return proto.IncrementStruct.toObject(Be, this);
                }),
                (proto.IncrementStruct.toObject = function (Be, Re) {
                    var Ue,
                        Ye = { type: _e.Message.getFieldWithDefault(Re, 1, 0), fixedvalue: _e.Message.getFieldWithDefault(Re, 2, 0), customincrement: (Ue = Re.getCustomincrement()) && proto.IncrementData.toObject(Be, Ue) };
                    return Be && (Ye.$jspbMessageInstance = Re), Ye;
                })),
            (proto.IncrementStruct.deserializeBinary = function (Be) {
                var Re = new _e.BinaryReader(Be),
                    Ue = new proto.IncrementStruct();
                return proto.IncrementStruct.deserializeBinaryFromReader(Ue, Re);
            }),
            (proto.IncrementStruct.deserializeBinaryFromReader = function (Be, Re) {
                for (; Re.nextField() && !Re.isEndGroup(); ) {
                    switch (Re.getFieldNumber()) {
                        case 1:
                            var Ue = Re.readEnum();
                            Be.setType(Ue);
                            break;
                        case 2:
                            Ue = Re.readUint32();
                            Be.setFixedvalue(Ue);
                            break;
                        case 3:
                            Ue = new proto.IncrementData();
                            Re.readMessage(Ue, proto.IncrementData.deserializeBinaryFromReader), Be.setCustomincrement(Ue);
                            break;
                        default:
                            Re.skipField();
                    }
                }
                return Be;
            }),
            (proto.IncrementStruct.prototype.serializeBinary = function () {
                var Be = new _e.BinaryWriter();
                return proto.IncrementStruct.serializeBinaryToWriter(this, Be), Be.getResultBuffer();
            }),
            (proto.IncrementStruct.serializeBinaryToWriter = function (Be, Re) {
                var Ue = void 0;
                0 !== (Ue = Be.getType()) && Re.writeEnum(1, Ue), 0 !== (Ue = Be.getFixedvalue()) && Re.writeUint32(2, Ue), null != (Ue = Be.getCustomincrement()) && Re.writeMessage(3, Ue, proto.IncrementData.serializeBinaryToWriter);
            }),
            (proto.IncrementStruct.Type = { FIXED: 0, SMALL: 1, MEDIUM: 2, BIG: 3, SMALL_VEHICLE: 4, MEDIUM_VEHICLE: 5, STANDARD: 6, MODEL10: 7, CUSTOM: 8 }),
            (proto.IncrementStruct.prototype.getType = function () {
                return _e.Message.getFieldWithDefault(this, 1, 0);
            }),
            (proto.IncrementStruct.prototype.setType = function (Be) {
                return _e.Message.setProto3EnumField(this, 1, Be);
            }),
            (proto.IncrementStruct.prototype.getFixedvalue = function () {
                return _e.Message.getFieldWithDefault(this, 2, 0);
            }),
            (proto.IncrementStruct.prototype.setFixedvalue = function (Be) {
                return _e.Message.setProto3IntField(this, 2, Be);
            }),
            (proto.IncrementStruct.prototype.getCustomincrement = function () {
                return _e.Message.getWrapperField(this, proto.IncrementData, 3);
            }),
            (proto.IncrementStruct.prototype.setCustomincrement = function (Be) {
                return _e.Message.setWrapperField(this, 3, Be);
            }),
            (proto.IncrementStruct.prototype.clearCustomincrement = function () {
                return this.setCustomincrement(void 0);
            }),
            (proto.IncrementStruct.prototype.hasCustomincrement = function () {
                return null != _e.Message.getField(this, 3);
            }),
            _e.Message.GENERATE_TO_OBJECT &&
                ((proto.BidStruct.prototype.toObject = function (Be) {
                    return proto.BidStruct.toObject(Be, this);
                }),
                (proto.BidStruct.toObject = function (Be, Re) {
                    var Ue,
                        Ye = {
                            amount: _e.Message.getFieldWithDefault(Re, 1, 0),
                            currentBidder: _e.Message.getFieldWithDefault(Re, 2, 0),
                            type: _e.Message.getFieldWithDefault(Re, 3, 0),
                            hasPriority: _e.Message.getBooleanFieldWithDefault(Re, 4, !1),
                            isLate: _e.Message.getBooleanFieldWithDefault(Re, 5, !1),
                            isAuto: _e.Message.getBooleanFieldWithDefault(Re, 6, !1),
                            increment: (Ue = Re.getIncrement()) && proto.IncrementStruct.toObject(Be, Ue),
                            nextamount: _e.Message.getFieldWithDefault(Re, 8, 0),
                            nextsmallamount: _e.Message.getFieldWithDefault(Re, 9, 0),
                            nextmediumamount: _e.Message.getFieldWithDefault(Re, 10, 0),
                            nextbigamount: _e.Message.getFieldWithDefault(Re, 11, 0),
                            nextsmallvehicleamount: _e.Message.getFieldWithDefault(Re, 12, 0),
                            nextmediumvehicleamount: _e.Message.getFieldWithDefault(Re, 13, 0),
                            nextstandardamount: _e.Message.getFieldWithDefault(Re, 14, 0),
                            nextmodel10amount: _e.Message.getFieldWithDefault(Re, 15, 0),
                        };
                    return Be && (Ye.$jspbMessageInstance = Re), Ye;
                })),
            (proto.BidStruct.deserializeBinary = function (Be) {
                var Re = new _e.BinaryReader(Be),
                    Ue = new proto.BidStruct();
                return proto.BidStruct.deserializeBinaryFromReader(Ue, Re);
            }),
            (proto.BidStruct.deserializeBinaryFromReader = function (Be, Re) {
                for (; Re.nextField() && !Re.isEndGroup(); ) {
                    switch (Re.getFieldNumber()) {
                        case 1:
                            var Ue = Re.readUint32();
                            Be.setAmount(Ue);
                            break;
                        case 2:
                            Ue = Re.readUint32();
                            Be.setCurrentBidder(Ue);
                            break;
                        case 3:
                            Ue = Re.readEnum();
                            Be.setType(Ue);
                            break;
                        case 4:
                            Ue = Re.readBool();
                            Be.setHasPriority(Ue);
                            break;
                        case 5:
                            Ue = Re.readBool();
                            Be.setIsLate(Ue);
                            break;
                        case 6:
                            Ue = Re.readBool();
                            Be.setIsAuto(Ue);
                            break;
                        case 7:
                            Ue = new proto.IncrementStruct();
                            Re.readMessage(Ue, proto.IncrementStruct.deserializeBinaryFromReader), Be.setIncrement(Ue);
                            break;
                        case 8:
                            Ue = Re.readUint32();
                            Be.setNextamount(Ue);
                            break;
                        case 9:
                            Ue = Re.readUint32();
                            Be.setNextsmallamount(Ue);
                            break;
                        case 10:
                            Ue = Re.readUint32();
                            Be.setNextmediumamount(Ue);
                            break;
                        case 11:
                            Ue = Re.readUint32();
                            Be.setNextbigamount(Ue);
                            break;
                        case 12:
                            Ue = Re.readUint32();
                            Be.setNextsmallvehicleamount(Ue);
                            break;
                        case 13:
                            Ue = Re.readUint32();
                            Be.setNextmediumvehicleamount(Ue);
                            break;
                        case 14:
                            Ue = Re.readUint32();
                            Be.setNextstandardamount(Ue);
                            break;
                        case 15:
                            Ue = Re.readUint32();
                            Be.setNextmodel10amount(Ue);
                            break;
                        default:
                            Re.skipField();
                    }
                }
                return Be;
            }),
            (proto.BidStruct.prototype.serializeBinary = function () {
                var Be = new _e.BinaryWriter();
                return proto.BidStruct.serializeBinaryToWriter(this, Be), Be.getResultBuffer();
            }),
            (proto.BidStruct.serializeBinaryToWriter = function (Be, Re) {
                var Ue = void 0;
                0 !== (Ue = Be.getAmount()) && Re.writeUint32(1, Ue),
                    0 !== (Ue = Be.getCurrentBidder()) && Re.writeUint32(2, Ue),
                    0 !== (Ue = Be.getType()) && Re.writeEnum(3, Ue),
                    (Ue = Be.getHasPriority()) && Re.writeBool(4, Ue),
                    (Ue = Be.getIsLate()) && Re.writeBool(5, Ue),
                    (Ue = Be.getIsAuto()) && Re.writeBool(6, Ue),
                    null != (Ue = Be.getIncrement()) && Re.writeMessage(7, Ue, proto.IncrementStruct.serializeBinaryToWriter),
                    0 !== (Ue = Be.getNextamount()) && Re.writeUint32(8, Ue),
                    0 !== (Ue = Be.getNextsmallamount()) && Re.writeUint32(9, Ue),
                    0 !== (Ue = Be.getNextmediumamount()) && Re.writeUint32(10, Ue),
                    0 !== (Ue = Be.getNextbigamount()) && Re.writeUint32(11, Ue),
                    0 !== (Ue = Be.getNextsmallvehicleamount()) && Re.writeUint32(12, Ue),
                    0 !== (Ue = Be.getNextmediumvehicleamount()) && Re.writeUint32(13, Ue),
                    0 !== (Ue = Be.getNextstandardamount()) && Re.writeUint32(14, Ue),
                    0 !== (Ue = Be.getNextmodel10amount()) && Re.writeUint32(15, Ue);
            }),
            (proto.BidStruct.Type = { LIVE: 0, ROOM: 1 }),
            (proto.BidStruct.prototype.getAmount = function () {
                return _e.Message.getFieldWithDefault(this, 1, 0);
            }),
            (proto.BidStruct.prototype.setAmount = function (Be) {
                return _e.Message.setProto3IntField(this, 1, Be);
            }),
            (proto.BidStruct.prototype.getCurrentBidder = function () {
                return _e.Message.getFieldWithDefault(this, 2, 0);
            }),
            (proto.BidStruct.prototype.setCurrentBidder = function (Be) {
                return _e.Message.setProto3IntField(this, 2, Be);
            }),
            (proto.BidStruct.prototype.getType = function () {
                return _e.Message.getFieldWithDefault(this, 3, 0);
            }),
            (proto.BidStruct.prototype.setType = function (Be) {
                return _e.Message.setProto3EnumField(this, 3, Be);
            }),
            (proto.BidStruct.prototype.getHasPriority = function () {
                return _e.Message.getBooleanFieldWithDefault(this, 4, !1);
            }),
            (proto.BidStruct.prototype.setHasPriority = function (Be) {
                return _e.Message.setProto3BooleanField(this, 4, Be);
            }),
            (proto.BidStruct.prototype.getIsLate = function () {
                return _e.Message.getBooleanFieldWithDefault(this, 5, !1);
            }),
            (proto.BidStruct.prototype.setIsLate = function (Be) {
                return _e.Message.setProto3BooleanField(this, 5, Be);
            }),
            (proto.BidStruct.prototype.getIsAuto = function () {
                return _e.Message.getBooleanFieldWithDefault(this, 6, !1);
            }),
            (proto.BidStruct.prototype.setIsAuto = function (Be) {
                return _e.Message.setProto3BooleanField(this, 6, Be);
            }),
            (proto.BidStruct.prototype.getIncrement = function () {
                return _e.Message.getWrapperField(this, proto.IncrementStruct, 7);
            }),
            (proto.BidStruct.prototype.setIncrement = function (Be) {
                return _e.Message.setWrapperField(this, 7, Be);
            }),
            (proto.BidStruct.prototype.clearIncrement = function () {
                return this.setIncrement(void 0);
            }),
            (proto.BidStruct.prototype.hasIncrement = function () {
                return null != _e.Message.getField(this, 7);
            }),
            (proto.BidStruct.prototype.getNextamount = function () {
                return _e.Message.getFieldWithDefault(this, 8, 0);
            }),
            (proto.BidStruct.prototype.setNextamount = function (Be) {
                return _e.Message.setProto3IntField(this, 8, Be);
            }),
            (proto.BidStruct.prototype.getNextsmallamount = function () {
                return _e.Message.getFieldWithDefault(this, 9, 0);
            }),
            (proto.BidStruct.prototype.setNextsmallamount = function (Be) {
                return _e.Message.setProto3IntField(this, 9, Be);
            }),
            (proto.BidStruct.prototype.getNextmediumamount = function () {
                return _e.Message.getFieldWithDefault(this, 10, 0);
            }),
            (proto.BidStruct.prototype.setNextmediumamount = function (Be) {
                return _e.Message.setProto3IntField(this, 10, Be);
            }),
            (proto.BidStruct.prototype.getNextbigamount = function () {
                return _e.Message.getFieldWithDefault(this, 11, 0);
            }),
            (proto.BidStruct.prototype.setNextbigamount = function (Be) {
                return _e.Message.setProto3IntField(this, 11, Be);
            }),
            (proto.BidStruct.prototype.getNextsmallvehicleamount = function () {
                return _e.Message.getFieldWithDefault(this, 12, 0);
            }),
            (proto.BidStruct.prototype.setNextsmallvehicleamount = function (Be) {
                return _e.Message.setProto3IntField(this, 12, Be);
            }),
            (proto.BidStruct.prototype.getNextmediumvehicleamount = function () {
                return _e.Message.getFieldWithDefault(this, 13, 0);
            }),
            (proto.BidStruct.prototype.setNextmediumvehicleamount = function (Be) {
                return _e.Message.setProto3IntField(this, 13, Be);
            }),
            (proto.BidStruct.prototype.getNextstandardamount = function () {
                return _e.Message.getFieldWithDefault(this, 14, 0);
            }),
            (proto.BidStruct.prototype.setNextstandardamount = function (Be) {
                return _e.Message.setProto3IntField(this, 14, Be);
            }),
            (proto.BidStruct.prototype.getNextmodel10amount = function () {
                return _e.Message.getFieldWithDefault(this, 15, 0);
            }),
            (proto.BidStruct.prototype.setNextmodel10amount = function (Be) {
                return _e.Message.setProto3IntField(this, 15, Be);
            }),
            _e.Message.GENERATE_TO_OBJECT &&
                ((proto.LotStruct.prototype.toObject = function (Be) {
                    return proto.LotStruct.toObject(Be, this);
                }),
                (proto.LotStruct.toObject = function (Be, Re) {
                    var Ue = { lotId: _e.Message.getFieldWithDefault(Re, 1, 0), state: _e.Message.getFieldWithDefault(Re, 2, 0), nextLotId: _e.Message.getFieldWithDefault(Re, 3, 0) };
                    return Be && (Ue.$jspbMessageInstance = Re), Ue;
                })),
            (proto.LotStruct.deserializeBinary = function (Be) {
                var Re = new _e.BinaryReader(Be),
                    Ue = new proto.LotStruct();
                return proto.LotStruct.deserializeBinaryFromReader(Ue, Re);
            }),
            (proto.LotStruct.deserializeBinaryFromReader = function (Be, Re) {
                for (; Re.nextField() && !Re.isEndGroup(); ) {
                    switch (Re.getFieldNumber()) {
                        case 1:
                            var Ue = Re.readUint32();
                            Be.setLotId(Ue);
                            break;
                        case 2:
                            Ue = Re.readEnum();
                            Be.setState(Ue);
                            break;
                        case 3:
                            Ue = Re.readUint32();
                            Be.setNextLotId(Ue);
                            break;
                        default:
                            Re.skipField();
                    }
                }
                return Be;
            }),
            (proto.LotStruct.prototype.serializeBinary = function () {
                var Be = new _e.BinaryWriter();
                return proto.LotStruct.serializeBinaryToWriter(this, Be), Be.getResultBuffer();
            }),
            (proto.LotStruct.serializeBinaryToWriter = function (Be, Re) {
                var Ue = void 0;
                0 !== (Ue = Be.getLotId()) && Re.writeUint32(1, Ue), 0 !== (Ue = Be.getState()) && Re.writeEnum(2, Ue), 0 !== (Ue = Be.getNextLotId()) && Re.writeUint32(3, Ue);
            }),
            (proto.LotStruct.State = { NEW: 0, MAP: 1, BIDDING: 2, ADJ: 3, ADJ_CANCELED: 4 }),
            (proto.LotStruct.prototype.getLotId = function () {
                return _e.Message.getFieldWithDefault(this, 1, 0);
            }),
            (proto.LotStruct.prototype.setLotId = function (Be) {
                return _e.Message.setProto3IntField(this, 1, Be);
            }),
            (proto.LotStruct.prototype.getState = function () {
                return _e.Message.getFieldWithDefault(this, 2, 0);
            }),
            (proto.LotStruct.prototype.setState = function (Be) {
                return _e.Message.setProto3EnumField(this, 2, Be);
            }),
            (proto.LotStruct.prototype.getNextLotId = function () {
                return _e.Message.getFieldWithDefault(this, 3, 0);
            }),
            (proto.LotStruct.prototype.setNextLotId = function (Be) {
                return _e.Message.setProto3IntField(this, 3, Be);
            }),
            (proto.VenteStruct.repeatedFields_ = [4, 5, 6]),
            _e.Message.GENERATE_TO_OBJECT &&
                ((proto.VenteStruct.prototype.toObject = function (Be) {
                    return proto.VenteStruct.toObject(Be, this);
                }),
                (proto.VenteStruct.toObject = function (Be, Re) {
                    var Ue,
                        Ye = {
                            venteId: _e.Message.getFieldWithDefault(Re, 1, 0),
                            bid: (Ue = Re.getBid()) && proto.BidStruct.toObject(Be, Ue),
                            lot: (Ue = Re.getLot()) && proto.LotStruct.toObject(Be, Ue),
                            connectedRegisteredListList: null == (Ue = _e.Message.getRepeatedField(Re, 4)) ? void 0 : Ue,
                            connectedSpectatorListList: null == (Ue = _e.Message.getRepeatedField(Re, 5)) ? void 0 : Ue,
                            connectedCyberclercListList: null == (Ue = _e.Message.getRepeatedField(Re, 6)) ? void 0 : Ue,
                            isfreebidauthorized: _e.Message.getBooleanFieldWithDefault(Re, 7, !1),
                            connectedbiddercount: _e.Message.getFieldWithDefault(Re, 8, 0),
                            connectedspectatorcount: _e.Message.getFieldWithDefault(Re, 9, 0),
                            readytobidcount: _e.Message.getFieldWithDefault(Re, 10, 0),
                        };
                    return Be && (Ye.$jspbMessageInstance = Re), Ye;
                })),
            (proto.VenteStruct.deserializeBinary = function (Be) {
                var Re = new _e.BinaryReader(Be),
                    Ue = new proto.VenteStruct();
                return proto.VenteStruct.deserializeBinaryFromReader(Ue, Re);
            }),
            (proto.VenteStruct.deserializeBinaryFromReader = function (Be, Re) {
                for (; Re.nextField() && !Re.isEndGroup(); ) {
                    switch (Re.getFieldNumber()) {
                        case 1:
                            var Ue = Re.readUint32();
                            Be.setVenteId(Ue);
                            break;
                        case 2:
                            Ue = new proto.BidStruct();
                            Re.readMessage(Ue, proto.BidStruct.deserializeBinaryFromReader), Be.setBid(Ue);
                            break;
                        case 3:
                            Ue = new proto.LotStruct();
                            Re.readMessage(Ue, proto.LotStruct.deserializeBinaryFromReader), Be.setLot(Ue);
                            break;
                        case 4:
                            for (var _e = Re.isDelimited() ? Re.readPackedUint32() : [Re.readUint32()], Ye = 0; Ye < _e.length; Ye++) Be.addConnectedRegisteredList(_e[Ye]);
                            break;
                        case 5:
                            for (_e = Re.isDelimited() ? Re.readPackedUint32() : [Re.readUint32()], Ye = 0; Ye < _e.length; Ye++) Be.addConnectedSpectatorList(_e[Ye]);
                            break;
                        case 6:
                            for (_e = Re.isDelimited() ? Re.readPackedUint32() : [Re.readUint32()], Ye = 0; Ye < _e.length; Ye++) Be.addConnectedCyberclercList(_e[Ye]);
                            break;
                        case 7:
                            Ue = Re.readBool();
                            Be.setIsfreebidauthorized(Ue);
                            break;
                        case 8:
                            Ue = Re.readUint32();
                            Be.setConnectedbiddercount(Ue);
                            break;
                        case 9:
                            Ue = Re.readUint32();
                            Be.setConnectedspectatorcount(Ue);
                            break;
                        case 10:
                            Ue = Re.readUint32();
                            Be.setReadytobidcount(Ue);
                            break;
                        default:
                            Re.skipField();
                    }
                }
                return Be;
            }),
            (proto.VenteStruct.prototype.serializeBinary = function () {
                var Be = new _e.BinaryWriter();
                return proto.VenteStruct.serializeBinaryToWriter(this, Be), Be.getResultBuffer();
            }),
            (proto.VenteStruct.serializeBinaryToWriter = function (Be, Re) {
                var Ue = void 0;
                0 !== (Ue = Be.getVenteId()) && Re.writeUint32(1, Ue),
                    null != (Ue = Be.getBid()) && Re.writeMessage(2, Ue, proto.BidStruct.serializeBinaryToWriter),
                    null != (Ue = Be.getLot()) && Re.writeMessage(3, Ue, proto.LotStruct.serializeBinaryToWriter),
                    (Ue = Be.getConnectedRegisteredListList()).length > 0 && Re.writePackedUint32(4, Ue),
                    (Ue = Be.getConnectedSpectatorListList()).length > 0 && Re.writePackedUint32(5, Ue),
                    (Ue = Be.getConnectedCyberclercListList()).length > 0 && Re.writePackedUint32(6, Ue),
                    (Ue = Be.getIsfreebidauthorized()) && Re.writeBool(7, Ue),
                    0 !== (Ue = Be.getConnectedbiddercount()) && Re.writeUint32(8, Ue),
                    0 !== (Ue = Be.getConnectedspectatorcount()) && Re.writeUint32(9, Ue),
                    0 !== (Ue = Be.getReadytobidcount()) && Re.writeUint32(10, Ue);
            }),
            (proto.VenteStruct.prototype.getVenteId = function () {
                return _e.Message.getFieldWithDefault(this, 1, 0);
            }),
            (proto.VenteStruct.prototype.setVenteId = function (Be) {
                return _e.Message.setProto3IntField(this, 1, Be);
            }),
            (proto.VenteStruct.prototype.getBid = function () {
                return _e.Message.getWrapperField(this, proto.BidStruct, 2);
            }),
            (proto.VenteStruct.prototype.setBid = function (Be) {
                return _e.Message.setWrapperField(this, 2, Be);
            }),
            (proto.VenteStruct.prototype.clearBid = function () {
                return this.setBid(void 0);
            }),
            (proto.VenteStruct.prototype.hasBid = function () {
                return null != _e.Message.getField(this, 2);
            }),
            (proto.VenteStruct.prototype.getLot = function () {
                return _e.Message.getWrapperField(this, proto.LotStruct, 3);
            }),
            (proto.VenteStruct.prototype.setLot = function (Be) {
                return _e.Message.setWrapperField(this, 3, Be);
            }),
            (proto.VenteStruct.prototype.clearLot = function () {
                return this.setLot(void 0);
            }),
            (proto.VenteStruct.prototype.hasLot = function () {
                return null != _e.Message.getField(this, 3);
            }),
            (proto.VenteStruct.prototype.getConnectedRegisteredListList = function () {
                return _e.Message.getRepeatedField(this, 4);
            }),
            (proto.VenteStruct.prototype.setConnectedRegisteredListList = function (Be) {
                return _e.Message.setField(this, 4, Be || []);
            }),
            (proto.VenteStruct.prototype.addConnectedRegisteredList = function (Be, Re) {
                return _e.Message.addToRepeatedField(this, 4, Be, Re);
            }),
            (proto.VenteStruct.prototype.clearConnectedRegisteredListList = function () {
                return this.setConnectedRegisteredListList([]);
            }),
            (proto.VenteStruct.prototype.getConnectedSpectatorListList = function () {
                return _e.Message.getRepeatedField(this, 5);
            }),
            (proto.VenteStruct.prototype.setConnectedSpectatorListList = function (Be) {
                return _e.Message.setField(this, 5, Be || []);
            }),
            (proto.VenteStruct.prototype.addConnectedSpectatorList = function (Be, Re) {
                return _e.Message.addToRepeatedField(this, 5, Be, Re);
            }),
            (proto.VenteStruct.prototype.clearConnectedSpectatorListList = function () {
                return this.setConnectedSpectatorListList([]);
            }),
            (proto.VenteStruct.prototype.getConnectedCyberclercListList = function () {
                return _e.Message.getRepeatedField(this, 6);
            }),
            (proto.VenteStruct.prototype.setConnectedCyberclercListList = function (Be) {
                return _e.Message.setField(this, 6, Be || []);
            }),
            (proto.VenteStruct.prototype.addConnectedCyberclercList = function (Be, Re) {
                return _e.Message.addToRepeatedField(this, 6, Be, Re);
            }),
            (proto.VenteStruct.prototype.clearConnectedCyberclercListList = function () {
                return this.setConnectedCyberclercListList([]);
            }),
            (proto.VenteStruct.prototype.getIsfreebidauthorized = function () {
                return _e.Message.getBooleanFieldWithDefault(this, 7, !1);
            }),
            (proto.VenteStruct.prototype.setIsfreebidauthorized = function (Be) {
                return _e.Message.setProto3BooleanField(this, 7, Be);
            }),
            (proto.VenteStruct.prototype.getConnectedbiddercount = function () {
                return _e.Message.getFieldWithDefault(this, 8, 0);
            }),
            (proto.VenteStruct.prototype.setConnectedbiddercount = function (Be) {
                return _e.Message.setProto3IntField(this, 8, Be);
            }),
            (proto.VenteStruct.prototype.getConnectedspectatorcount = function () {
                return _e.Message.getFieldWithDefault(this, 9, 0);
            }),
            (proto.VenteStruct.prototype.setConnectedspectatorcount = function (Be) {
                return _e.Message.setProto3IntField(this, 9, Be);
            }),
            (proto.VenteStruct.prototype.getReadytobidcount = function () {
                return _e.Message.getFieldWithDefault(this, 10, 0);
            }),
            (proto.VenteStruct.prototype.setReadytobidcount = function (Be) {
                return _e.Message.setProto3IntField(this, 10, Be);
            }),
            _e.Message.GENERATE_TO_OBJECT &&
                ((proto.ClientStruct.prototype.toObject = function (Be) {
                    return proto.ClientStruct.toObject(Be, this);
                }),
                (proto.ClientStruct.toObject = function (Be, Re) {
                    var Ue = {
                        sessionId: _e.Message.getFieldWithDefault(Re, 1, ""),
                        passeportId: _e.Message.getFieldWithDefault(Re, 2, 0),
                        uuid: _e.Message.getFieldWithDefault(Re, 3, ""),
                        permission: _e.Message.getFieldWithDefault(Re, 4, 0),
                        activity: _e.Message.getFieldWithDefault(Re, 5, 0),
                        pingdelay: _e.Message.getFieldWithDefault(Re, 6, 0),
                        maxamount: _e.Message.getFieldWithDefault(Re, 7, 0),
                        hasnolimit: _e.Message.getBooleanFieldWithDefault(Re, 8, !1),
                        token: _e.Message.getFieldWithDefault(Re, 9, ""),
                        refreshtoken: _e.Message.getFieldWithDefault(Re, 10, ""),
                    };
                    return Be && (Ue.$jspbMessageInstance = Re), Ue;
                })),
            (proto.ClientStruct.deserializeBinary = function (Be) {
                var Re = new _e.BinaryReader(Be),
                    Ue = new proto.ClientStruct();
                return proto.ClientStruct.deserializeBinaryFromReader(Ue, Re);
            }),
            (proto.ClientStruct.deserializeBinaryFromReader = function (Be, Re) {
                for (; Re.nextField() && !Re.isEndGroup(); ) {
                    switch (Re.getFieldNumber()) {
                        case 1:
                            var Ue = Re.readString();
                            Be.setSessionId(Ue);
                            break;
                        case 2:
                            Ue = Re.readUint32();
                            Be.setPasseportId(Ue);
                            break;
                        case 3:
                            Ue = Re.readString();
                            Be.setUuid(Ue);
                            break;
                        case 4:
                            Ue = Re.readEnum();
                            Be.setPermission(Ue);
                            break;
                        case 5:
                            Ue = Re.readEnum();
                            Be.setActivity(Ue);
                            break;
                        case 6:
                            Ue = Re.readUint32();
                            Be.setPingdelay(Ue);
                            break;
                        case 7:
                            Ue = Re.readUint32();
                            Be.setMaxamount(Ue);
                            break;
                        case 8:
                            Ue = Re.readBool();
                            Be.setHasnolimit(Ue);
                            break;
                        case 9:
                            Ue = Re.readString();
                            Be.setToken(Ue);
                            break;
                        case 10:
                            Ue = Re.readString();
                            Be.setRefreshtoken(Ue);
                            break;
                        default:
                            Re.skipField();
                    }
                }
                return Be;
            }),
            (proto.ClientStruct.prototype.serializeBinary = function () {
                var Be = new _e.BinaryWriter();
                return proto.ClientStruct.serializeBinaryToWriter(this, Be), Be.getResultBuffer();
            }),
            (proto.ClientStruct.serializeBinaryToWriter = function (Be, Re) {
                var Ue = void 0;
                (Ue = Be.getSessionId()).length > 0 && Re.writeString(1, Ue),
                    0 !== (Ue = Be.getPasseportId()) && Re.writeUint32(2, Ue),
                    (Ue = Be.getUuid()).length > 0 && Re.writeString(3, Ue),
                    0 !== (Ue = Be.getPermission()) && Re.writeEnum(4, Ue),
                    0 !== (Ue = Be.getActivity()) && Re.writeEnum(5, Ue),
                    0 !== (Ue = Be.getPingdelay()) && Re.writeUint32(6, Ue),
                    0 !== (Ue = Be.getMaxamount()) && Re.writeUint32(7, Ue),
                    (Ue = Be.getHasnolimit()) && Re.writeBool(8, Ue),
                    (Ue = Be.getToken()).length > 0 && Re.writeString(9, Ue),
                    (Ue = Be.getRefreshtoken()).length > 0 && Re.writeString(10, Ue);
            }),
            (proto.ClientStruct.Permission = { BIDDER: 0, CYBER: 1, SPECTATOR: 2 }),
            (proto.ClientStruct.Activity = { IDLE: 0, ACTIVE: 1, OVER: 2, OUT: 3 }),
            (proto.ClientStruct.prototype.getSessionId = function () {
                return _e.Message.getFieldWithDefault(this, 1, "");
            }),
            (proto.ClientStruct.prototype.setSessionId = function (Be) {
                return _e.Message.setProto3StringField(this, 1, Be);
            }),
            (proto.ClientStruct.prototype.getPasseportId = function () {
                return _e.Message.getFieldWithDefault(this, 2, 0);
            }),
            (proto.ClientStruct.prototype.setPasseportId = function (Be) {
                return _e.Message.setProto3IntField(this, 2, Be);
            }),
            (proto.ClientStruct.prototype.getUuid = function () {
                return _e.Message.getFieldWithDefault(this, 3, "");
            }),
            (proto.ClientStruct.prototype.setUuid = function (Be) {
                return _e.Message.setProto3StringField(this, 3, Be);
            }),
            (proto.ClientStruct.prototype.getPermission = function () {
                return _e.Message.getFieldWithDefault(this, 4, 0);
            }),
            (proto.ClientStruct.prototype.setPermission = function (Be) {
                return _e.Message.setProto3EnumField(this, 4, Be);
            }),
            (proto.ClientStruct.prototype.getActivity = function () {
                return _e.Message.getFieldWithDefault(this, 5, 0);
            }),
            (proto.ClientStruct.prototype.setActivity = function (Be) {
                return _e.Message.setProto3EnumField(this, 5, Be);
            }),
            (proto.ClientStruct.prototype.getPingdelay = function () {
                return _e.Message.getFieldWithDefault(this, 6, 0);
            }),
            (proto.ClientStruct.prototype.setPingdelay = function (Be) {
                return _e.Message.setProto3IntField(this, 6, Be);
            }),
            (proto.ClientStruct.prototype.getMaxamount = function () {
                return _e.Message.getFieldWithDefault(this, 7, 0);
            }),
            (proto.ClientStruct.prototype.setMaxamount = function (Be) {
                return _e.Message.setProto3IntField(this, 7, Be);
            }),
            (proto.ClientStruct.prototype.getHasnolimit = function () {
                return _e.Message.getBooleanFieldWithDefault(this, 8, !1);
            }),
            (proto.ClientStruct.prototype.setHasnolimit = function (Be) {
                return _e.Message.setProto3BooleanField(this, 8, Be);
            }),
            (proto.ClientStruct.prototype.getToken = function () {
                return _e.Message.getFieldWithDefault(this, 9, "");
            }),
            (proto.ClientStruct.prototype.setToken = function (Be) {
                return _e.Message.setProto3StringField(this, 9, Be);
            }),
            (proto.ClientStruct.prototype.getRefreshtoken = function () {
                return _e.Message.getFieldWithDefault(this, 10, "");
            }),
            (proto.ClientStruct.prototype.setRefreshtoken = function (Be) {
                return _e.Message.setProto3StringField(this, 10, Be);
            }),
            _e.Message.GENERATE_TO_OBJECT &&
                ((proto.LiveBiddingMessage.prototype.toObject = function (Be) {
                    return proto.LiveBiddingMessage.toObject(Be, this);
                }),
                (proto.LiveBiddingMessage.toObject = function (Be, Re) {
                    var Ue,
                        Ye = {
                            type: _e.Message.getFieldWithDefault(Re, 1, 0),
                            client: (Ue = Re.getClient()) && proto.ClientStruct.toObject(Be, Ue),
                            vente: (Ue = Re.getVente()) && proto.VenteStruct.toObject(Be, Ue),
                            message: _e.Message.getFieldWithDefault(Re, 4, ""),
                            paramsMap: (Ue = Re.getParamsMap()) ? Ue.toObject(Be, void 0) : [],
                            pingtime: _e.Message.getFieldWithDefault(Re, 6, 0),
                        };
                    return Be && (Ye.$jspbMessageInstance = Re), Ye;
                })),
            (proto.LiveBiddingMessage.deserializeBinary = function (Be) {
                var Re = new _e.BinaryReader(Be),
                    Ue = new proto.LiveBiddingMessage();
                return proto.LiveBiddingMessage.deserializeBinaryFromReader(Ue, Re);
            }),
            (proto.LiveBiddingMessage.deserializeBinaryFromReader = function (Be, Re) {
                for (; Re.nextField() && !Re.isEndGroup(); ) {
                    switch (Re.getFieldNumber()) {
                        case 1:
                            var Ue = Re.readEnum();
                            Be.setType(Ue);
                            break;
                        case 2:
                            Ue = new proto.ClientStruct();
                            Re.readMessage(Ue, proto.ClientStruct.deserializeBinaryFromReader), Be.setClient(Ue);
                            break;
                        case 3:
                            Ue = new proto.VenteStruct();
                            Re.readMessage(Ue, proto.VenteStruct.deserializeBinaryFromReader), Be.setVente(Ue);
                            break;
                        case 4:
                            Ue = Re.readString();
                            Be.setMessage(Ue);
                            break;
                        case 5:
                            Ue = Be.getParamsMap();
                            Re.readMessage(Ue, function (Be, Re) {
                                _e.Map.deserializeBinary(Be, Re, _e.BinaryReader.prototype.readString, _e.BinaryReader.prototype.readString, null, "", "");
                            });
                            break;
                        case 6:
                            Ue = Re.readInt64();
                            Be.setPingtime(Ue);
                            break;
                        default:
                            Re.skipField();
                    }
                }
                return Be;
            }),
            (proto.LiveBiddingMessage.prototype.serializeBinary = function () {
                var Be = new _e.BinaryWriter();
                return proto.LiveBiddingMessage.serializeBinaryToWriter(this, Be), Be.getResultBuffer();
            }),
            (proto.LiveBiddingMessage.serializeBinaryToWriter = function (Be, Re) {
                var Ue = void 0;
                0 !== (Ue = Be.getType()) && Re.writeEnum(1, Ue),
                    null != (Ue = Be.getClient()) && Re.writeMessage(2, Ue, proto.ClientStruct.serializeBinaryToWriter),
                    null != (Ue = Be.getVente()) && Re.writeMessage(3, Ue, proto.VenteStruct.serializeBinaryToWriter),
                    (Ue = Be.getMessage()).length > 0 && Re.writeString(4, Ue),
                    (Ue = Be.getParamsMap(!0)) && Ue.getLength() > 0 && Ue.serializeBinary(5, Re, _e.BinaryWriter.prototype.writeString, _e.BinaryWriter.prototype.writeString),
                    0 !== (Ue = Be.getPingtime()) && Re.writeInt64(6, Ue);
            }),
            (proto.LiveBiddingMessage.Type = {
                PING: 0,
                PONG: 1,
                INIT: 2,
                CLOSE: 3,
                BID: 4,
                SELECT_LOT: 5,
                STARTING_PRICE: 6,
                INCREMENT: 7,
                TENDERING: 8,
                GENERIC_MESSAGE: 9,
                CREATE_LOT: 10,
                NOT_INTERESTED: 11,
                INTERESTED: 12,
                ACTIVITY: 13,
                NEW_CLIENT: 14,
                CLOSED_CLIENT: 15,
                KILL: 16,
                MULTILOT_REQUEST: 17,
                MULTILOT_RESPONSE: 18,
                SYNC_PAYMENT_LIMIT: 19,
                SWITCH_FREE_BID_AUTHORIZE: 20,
                REFRESH_CLIENTS_COUNT: 21,
            }),
            (proto.LiveBiddingMessage.prototype.getType = function () {
                return _e.Message.getFieldWithDefault(this, 1, 0);
            }),
            (proto.LiveBiddingMessage.prototype.setType = function (Be) {
                return _e.Message.setProto3EnumField(this, 1, Be);
            }),
            (proto.LiveBiddingMessage.prototype.getClient = function () {
                return _e.Message.getWrapperField(this, proto.ClientStruct, 2);
            }),
            (proto.LiveBiddingMessage.prototype.setClient = function (Be) {
                return _e.Message.setWrapperField(this, 2, Be);
            }),
            (proto.LiveBiddingMessage.prototype.clearClient = function () {
                return this.setClient(void 0);
            }),
            (proto.LiveBiddingMessage.prototype.hasClient = function () {
                return null != _e.Message.getField(this, 2);
            }),
            (proto.LiveBiddingMessage.prototype.getVente = function () {
                return _e.Message.getWrapperField(this, proto.VenteStruct, 3);
            }),
            (proto.LiveBiddingMessage.prototype.setVente = function (Be) {
                return _e.Message.setWrapperField(this, 3, Be);
            }),
            (proto.LiveBiddingMessage.prototype.clearVente = function () {
                return this.setVente(void 0);
            }),
            (proto.LiveBiddingMessage.prototype.hasVente = function () {
                return null != _e.Message.getField(this, 3);
            }),
            (proto.LiveBiddingMessage.prototype.getMessage = function () {
                return _e.Message.getFieldWithDefault(this, 4, "");
            }),
            (proto.LiveBiddingMessage.prototype.setMessage = function (Be) {
                return _e.Message.setProto3StringField(this, 4, Be);
            }),
            (proto.LiveBiddingMessage.prototype.getParamsMap = function (Be) {
                return _e.Message.getMapField(this, 5, Be, null);
            }),
            (proto.LiveBiddingMessage.prototype.clearParamsMap = function () {
                return this.getParamsMap().clear(), this;
            }),
            (proto.LiveBiddingMessage.prototype.getPingtime = function () {
                return _e.Message.getFieldWithDefault(this, 6, 0);
            }),
            (proto.LiveBiddingMessage.prototype.setPingtime = function (Be) {
                return _e.Message.setProto3IntField(this, 6, Be);
            }),
            Ye.object.extend(Re, proto);
        const Ze = proto.LiveBiddingMessage,
            $e = proto.VenteStruct,
            tt = proto.ClientStruct,
            nt = proto.BidStruct,
            rt = proto.LotStruct,
            ot = proto.IncrementStruct,
            it = proto.IncrementData,
            at = proto.IncrementStep;